Finalize an ECG signal stream
POST
/v3/streams/{stream_id}/finish
const url = 'https://api.cardio.ai/v3/streams/1/finish';const options = {method: 'POST', headers: {'X-Api-Token': '<X-Api-Token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.cardio.ai/v3/streams/1/finish \ --header 'X-Api-Token: <X-Api-Token>'Marks the specified real-time stream as finished.
The uploaded signal is submitted for analysis. The stream itself is deleted, so further stream requests respond with 404 Not Found.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” stream_id
required
integer format: uint64
Stream identifier.
Responses
Section titled “ Responses ”Operation completed successfully.
Bad Request - missing or invalid parameters.
Media type application/json
string
Example generated
exampleUnauthorized - missing, expired, or invalid token.
Media type application/json
string
Example generated
exampleForbidden - the provided token is not authorized to call this endpoint.
Media type application/json
string
Example generated
exampleNot Found - requested resource does not exist or is unavailable.
Media type application/json
string
Example generated
exampleConflict - current resource state does not allow the operation.
Media type application/json
string
Example generated
exampleToo Many Requests - rate limit exceeded.
Media type application/json
string
Example generated
example